%define python_site %(echo `python -c "import sys; print (sys.prefix + '/lib/python' + sys.version[:3] + '/site-packages')"`)

Name: kura
Version: 2.0
Release: alt3
Copyright: GPL
Group: Sciences/Other
Source: http://www.xs4all.nl/%7Ebsarempt/downloads/kura-%version.tar.gz 
Source1: kura-16x16.xpm
Source2: kura-32x32.xpm
Source3: kura-48x48.xpm
Summary: kura is a powerful scriptable linguistic database
Summary (ru_RU.KOI8-R):	kura --       
URL: http://www.xs4all.nl 
Requires: PyQt >= 3.6
BuildArch: noarch


# Automatically added by buildreq on Mon Sep 22 2003
BuildRequires: python-devel PyQt >= 3.6

%description
Kura (Nepali for language) is a multi-user open-source linguistic database 
especially geared towards language description.

The application consists of four independent parts: an application framework 
that works with the data from the database, and a gui-framework that the user 
to work with the data, a server that can present the data in html form over 
the Internet, and finally a project that is used to generate a pdf version or 
an html version of a linguistics text that uses the information from the 
database. 

%description -l ru_RU.KOI8-R
Kura (. "") --     
,    .
 
Kura   ң :  ,    
 ,   ,   
    HTML   ,    
 PDF-  HTML- ޣ   .

%prep
%setup -n %name-%version

%build

%install
mkdir -p %buildroot%_menudir
mkdir -p %buildroot%_miconsdir
mkdir -p %buildroot%_liconsdir

echo -e '2,4s:data=.*:data=%buildroot%_datadir/kura:\nw\nq\n'  | ed setup.cfg
echo -e '2,4s:lib=.*:lib=%buildroot%python_site/kura:\nw\nq\n' | ed setup.cfg
echo -e '2,4s:scripts=.*:scripts=%buildroot%_bindir:\nw\nq\n'  | ed setup.cfg

python setup.py install

echo -e '1,$s:/usr/local:/usr:\nw\nq\n' | ed %buildroot%_datadir/kura/kura.py

cat <<EOF > %buildroot%_bindir/kura
PYTHONPATH=%python_site/kura /usr/bin/env python /usr/share/kura/kura.py
EOF

cat <<EOF > %buildroot/%_menudir/kura
?package(kura): needs=X11 \
      section="Applications/Sciences" \
			title="Kura" \
			longtitle="Linguistic database" \
			command="%_bindir/kura" \
			icon="kura.xpm"
EOF
install %SOURCE1 %buildroot%_miconsdir/kura.xpm
install %SOURCE2 %buildroot%_iconsdir/kura.xpm
install %SOURCE3 %buildroot%_liconsdir/kura.xpm

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%{python_site}/kura/*
%_datadir/kura/*
%_menudir/*
%_iconsdir/kura.xpm
%_miconsdir/kura.xpm
%_liconsdir/kura.xpm
%doc README AUTHORS INSTALL CHANGELOG 

%changelog
* Mon Sep 22 2003 Serge Sergeev <ssv@altlinux.ru> 2.0-alt3
- Spec file cleanup and minor fixes

* Fri Sep 12 2003 Serge Sergeev <ssv@altlinux.ru> 2.0-alt2
- Added python-devel to BuildRequires list ( buildreq not so smart to do it ;) )

* Fri Jul 11 2003 Serge Sergeev <ssv@altlinux.ru> 2.0-alt1
- initial release
- The package was made 'with a little help of' Alexandre Prokoudine <avp@altlinux.ru>
